%global __jar_repack 0
%define _javadir /usr/share/java

Summary:	oVirt 3rd party dependencies
Name:		ovirt-dependencies
Version:	4.4.2
Release:	2
License:	ASL 2.0
URL:		http://www.ovirt.org
Source:		ovirt-dependencies-4.4.2-1.tar.gz

BuildArch:	noarch

BuildRequires:	tar
BuildRequires:	unzip
BuildRequires:	curl
BuildRequires:  make

Provides: bundled(gwt-servlet) = 2.9.0
Provides: bundled(spring-aop) = 5.0.4
Provides: bundled(spring-beans) = 5.0.4
Provides: bundled(spring-context) = 5.0.4
Provides: bundled(spring-core) = 5.0.4
Provides: bundled(spring-expression) = 5.0.4
Provides: bundled(spring-instrument) = 5.0.4
Provides: bundled(spring-jdbc) = 5.0.4
Provides: bundled(spring-test) = 5.0.4
Provides: bundled(spring-tx) = 5.0.4

%description
oVirt 3rd party dependencies

%prep
%setup -q -n %{name}-4.4.2

%build
make OFFLINE=1 %{?_smp_mflags}

%install
rm -rf "%{buildroot}"
make %{?_smp_mflags} OFFLINE=1 install DESTDIR="%{buildroot}" JAVADIR="%{_javadir}"

%files
%license COPYING
%license COPYING.csv
%doc ChangeLog
%{_javadir}/%{name}/

%changelog
* Fri Jun 24 2022 jiangxinyu <jiangxinyu@kylinos.cn> - 4.4.2-2
- Add java macro

* Wed Sep 1 2021 shenhongyi <shenhongyi2@huawei.com> - 4.4.2-1
- Package init
